> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ofac Batches

> List all OFAC batches for the authenticated organization.



## OpenAPI

````yaml /api-reference/openapi.json get /ofac/searches/batches
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /ofac/searches/batches:
    get:
      tags:
        - OFAC
      summary: List Ofac Batches
      description: List all OFAC batches for the authenticated organization.
      operationId: list_ofac_batches_ofac_searches_batches_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Maximum number of records to return in a single page. Must be
              between 1 and 1000.
            default: 10
            title: Limit
          description: >-
            Maximum number of records to return in a single page. Must be
            between 1 and 1000.
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: >-
              Number of records to skip from the beginning. Use 0 for the first
              page. Cannot be used with cursor.
            title: Offset
          description: >-
            Number of records to skip from the beginning. Use 0 for the first
            page. Cannot be used with cursor.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor token that identifies the position in the
              result set. Use the cursor from the previous response to get the
              next page. Cannot be used with offset.
            title: Cursor
          description: >-
            Opaque pagination cursor token that identifies the position in the
            result set. Use the cursor from the previous response to get the
            next page. Cannot be used with offset.
      responses:
        '200':
          description: List of OFAC batches.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.OFACBatchResponse'
                title: Response List Ofac Batches Ofac Searches Batches Get
          headers:
            X-Total-Count:
              description: Total number of records matching the query.
              schema:
                type: integer
            X-Total-Pages:
              description: Total number of pages available based on the current limit.
              schema:
                type: integer
            X-Next-Cursor:
              description: >-
                Cursor for the next page (only present when using the keyset
                pagination and if `has_more` is true.
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.OFACBatchResponse:
      properties:
        id:
          type: string
          format: uuid
          title: OFAC Batch ID
          description: The unique identifier of the OFAC batch.
          examples:
            - a2e702a1-34b6-4401-bc1c-2d5d07b2a957
        name:
          type: string
          title: Name
          description: The name of the ofac batch file
          examples:
            - ofac_batch_1.csv
        similarity_threshold:
          type: number
          maximum: 1
          minimum: 0
          title: Similarity Threshold
          description: The similarity threshold for the OFAC search
          examples:
            - 0.9
            - 0.95
            - 0.99
        state:
          $ref: '#/components/schemas/TaskState'
          description: The current processing state of the ofac batch
          examples:
            - COMPLETED
        entities_count:
          type: integer
          title: Entities Count
          description: Total number of entities in the batch
          examples:
            - 100
        valid_entities_count:
          type: integer
          title: Valid Entities Count
          description: Total number of valid entities in the batch
          examples:
            - 100
        entities_with_match_count:
          type: integer
          title: Entities With Match Count
          description: Total number of entities with a match in the batch
          examples:
            - 10
        invalid_entities_count:
          type: integer
          title: Invalid Entities Count
          description: Total number of invalid entities in the batch
          examples:
            - 10
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the ofac batch was created
          examples:
            - '2026-08-31T10:31:07.823202'
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
          description: When the ofac batch was updated
          examples:
            - '2026-08-31T10:31:07.823211'
      type: object
      required:
        - id
        - name
        - similarity_threshold
        - state
        - entities_count
        - valid_entities_count
        - entities_with_match_count
        - invalid_entities_count
        - created_at
      title: OFACBatchResponse (v1)
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````